package java.awt;

import sun.util.logging.PlatformLogger;

abstract class AttributeValue
{
    private static final PlatformLogger log;
    private final int value;
    private final String[] names;
    
    protected AttributeValue(int n, String[] array) {
        if (AttributeValue.log.isLoggable(PlatformLogger.Level.FINEST)) {
            AttributeValue.log.finest("value = " + n + ", names = " + array);
        }
        if (AttributeValue.log.isLoggable(PlatformLogger.Level.FINER) && (n < 0 || array == null || n >= array.length)) {
            AttributeValue.log.finer("Assertion failed");
        }
        this.value = n;
        this.names = array;
    }
    
    @Override
    public int hashCode() {
        return this.value;
    }
    
    @Override
    public String toString() {
        return this.names[this.value];
    }
    
    static {
        log = PlatformLogger.getLogger("java.awt.AttributeValue");
    }
}
